@import '_variables';
@import '_mixins';
@import '_bootstrap-mixins.scss';

.secondary-color {
  color: $secondary-font-color;
}

// ---------------------------------------------------------------------------

.jpt-container {
  max-width: 1250px;
  width: 100%;
  margin-inline-start: auto;
  margin-inline-end: auto;
}

.big-container {
  max-width: 1720px;
  margin-inline-start: auto;
  margin-inline-end: auto;
}

.small-container {
  max-width: 1024px;
  margin-inline-start: auto;
  margin-inline-end: auto;
}

.color-container {
  @include padding(2.5rem);

  background-color: $beige-500;
  border: 1px solid $beige-700;
  border-radius: 16px;

  @include media-breakpoint-down(sm) {
    @include all-width-block;

    border: none;
    border-radius: 0;
  }
}

.all-width-block {
  @include all-width-block;
}

.all-width-absolute {
  @include all-width-absolute;
}

.two-columns {
  display: flex;
  justify-content: space-between;
  flex-wrap: nowrap;

  .left,
  .right {
    max-width: 500px;
    flex-basis: 50%;
  }

  @include media-breakpoint-up(md) {
    .left {
      @include rfs(1rem, margin-inline-end);
    }

    .right {
      @include rfs(1rem, margin-inline-start);
    }
  }

  @include media-breakpoint-down(md) {
    align-items: center;

    .left,
    .right {
      flex-basis: auto;
    }

    &:not(.responsive-reverse) {
      flex-direction: column;

      .left {
        @include rfs(1rem, margin-bottom);
      }

      .right {
        @include rfs(1rem, margin-top);
      }
    }

    &.responsive-reverse {
      flex-direction: column-reverse;

      .left {
        @include rfs(1rem, margin-top);
      }

      .right {
        @include rfs(1rem, margin-bottom);
      }
    }
  }
}

// ---------------------------------------------------------------------------

.card {
  background-color: #fff;
  border: 1px solid $beige-700;
  border-radius: 4px;
}

// ---------------------------------------------------------------------------

.jpt-primary-button,
.jpt-secondary-button {
  @include jpt-button;
}

.jpt-primary-button {
  @include jpt-primary-button;
}

.jpt-secondary-button {
  @include jpt-secondary-button;
}

.jpt-link-button {
  @include disable-default-a-behaviour;
}

.jpt-smaller-button {
  @include jpt-smaller-button;
}

.jpt-link {
  @include peertube-link;
}

// ---------------------------------------------------------------------------

.small-description {
  font-size: 0.75rem;
  color: $secondary-font-color;

  a {
    text-decoration: underline;
    color: inherit;
    border: none;
    font-weight: normal;

    &:hover {
      color: $main-font-color;
    }
  }
}

// ---------------------------------------------------------------------------

.wrap-text {
  @include wrap-text;
}

// ---------------------------------------------------------------------------

.news-iframe {
  max-width: 560px;
  max-height: 315px;
  margin: auto;
  margin-top: 2rem;
  margin-bottom: 2rem;
}

.news-img-columns {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
  justify-content: space-between;

  img {
    flex-basis: 48%;
    min-width: 200px;
  }
}
